Contributor
Contributor

Support for FreeBSD 10 ( vmware-tools )

Does anybody know, if there are any plans for supporting FreeBSD 10 ?

4 Replies
Enthusiast
Enthusiast

I just ran into the same problem.

0 Kudos
Contributor
Contributor

I was just installing a FreeBSD 10 in VMware and found some patches that worked for my ESXI 5.1.0.

I put together a simple BASH script that let's you choose between ESXi 5+ or 5.5 and then downloads patches and compiles as needed so you can run the normal install script afterwards. The script supports both old pkg tools and pkgng.

https://www.dropbox.com/s/cso7ad37wo4necv/fbsd10_vmtools.bash

Note: As always with VMware tools you need compat6x and perl installed before running the actual VMware installer (after my bash script).

fbsd10_vmtools1.jpgfbsd10_vmtools2.jpg

Contributor
Contributor

The scripts worked great with 32 bit FreeBSD10 on ESXI 5.5.

0 Kudos
Contributor
Contributor

I confirm Mikl0s' script works for FreeBSD 10.0 AMD64 on ESXi 5.5 host.

thanks, Mikl0s!

0 Kudos